---
{{ template "common.rbac.ServiceAccount" (list .) }}

---
{{ template "common.rbac.ClusterRoleBinding" (list . "kustomize-controller.rbac.ClusterRoleBinding") }}

{{- define "kustomize-controller.rbac.ClusterRoleBinding" }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin
subjects:
  - kind: ServiceAccount
    name: {{ template "common.fullname" . }}
    namespace: {{ .Release.Namespace }}
{{- end }}
